

void printWeekday (int dayNum) {
  // print a weekday, based on the day number
  switch (dayNum) {
    case 1:
      Serial.print ("Sunday");
      break;
    case 2:
      Serial.print ("Monday");
      break;
    case 3:
      Serial.print ("Tuesday");
      break;
    case 4:
      Serial.print ("Wednesday");
      break;
    case 5:
      Serial.print ("Thursday");
      break;
    case 6:
      Serial.print ("Friday");
      break;
    case 7:
      Serial.print ("Saturday");
      break;
  }
}

void serialOutput(boolean alarm) {
  // this function creates a clock you can read through the serial port
  // your clock project will have a MUCH more interesting way of displaying the time
  // get creative!
  //printWeekday(weekday); // picks the right word to print for the weekday
  //Serial.print(", "); // a comma after the weekday
  if (alarm == false) {
    Serial.print("Clock: ");
    Serial.print(hour, DEC); // the hour, sent to the screen in decimal format
    Serial.print(":"); // a colon between the hour and the minute
    Serial.print(minute, DEC); // the minute, sent to the screen in decimal format
    Serial.print(":"); // a colon between the minute and the second
    Serial.println(second, DEC); // the second, sent to the screen in decimal format
  } else {
    Serial.print("Alarm: ");
    Serial.print(hourA, DEC); // the hour, sent to the screen in decimal format
    Serial.print(":"); // a colon between the hour and the minute
    Serial.println(minuteA, DEC); // the minute, sent to the screen in decimal format
  }
}
